Skip to main content
BlueAI
Home/Scheduler/Event Types

Event Types

Define and manage booking page types (1-on-1, group, etc.).

|

Endpoints

GET/api/v1/scheduler/event-typesList event types
POST/api/v1/scheduler/event-typesCreate an event type
GET/api/v1/scheduler/event-types/{id}Get an event type
PATCH/api/v1/scheduler/event-types/{id}Update an event type
DELETE/api/v1/scheduler/event-types/{id}Delete an event type
POST/api/v1/scheduler/event-types/{id}/membersSet event type members
GET/api/v1/scheduler/event-types

List event types

Authentication requiredInclude session cookie or Bearer token

Query Parameters

NameTypeRequiredDescription
limit
integerOptionalNumber of items to return (default: 50, max: 200)
offset
integerOptionalNumber of items to skip

Code Examples

curl "https://api.blueai.jp/api/v1/scheduler/event-types" \
  -H "Cookie: better-auth.session_token=<token>"
POST/api/v1/scheduler/event-types

Create an event type

Authentication requiredInclude session cookie or Bearer token

Code Examples

curl -X POST "https://api.blueai.jp/api/v1/scheduler/event-types" \
  -H "Cookie: better-auth.session_token=<token>"
GET/api/v1/scheduler/event-types/{id}

Get an event type

Authentication requiredInclude session cookie or Bearer token

Path Parameters

NameTypeRequiredDescription
id
stringOptionalEvent type ID

Code Examples

curl "https://api.blueai.jp/api/v1/scheduler/event-types/etype_123e4567e89b12d3a456426614174000" \
  -H "Cookie: better-auth.session_token=<token>"
PATCH/api/v1/scheduler/event-types/{id}

Update an event type

Authentication requiredInclude session cookie or Bearer token

Path Parameters

NameTypeRequiredDescription
id
stringOptionalEvent type ID

Code Examples

curl -X PATCH "https://api.blueai.jp/api/v1/scheduler/event-types/etype_123e4567e89b12d3a456426614174000" \
  -H "Cookie: better-auth.session_token=<token>"
DELETE/api/v1/scheduler/event-types/{id}

Delete an event type

Authentication requiredInclude session cookie or Bearer token

Path Parameters

NameTypeRequiredDescription
id
stringOptionalEvent type ID

Code Examples

curl -X DELETE "https://api.blueai.jp/api/v1/scheduler/event-types/etype_123e4567e89b12d3a456426614174000" \
  -H "Cookie: better-auth.session_token=<token>"
POST/api/v1/scheduler/event-types/{id}/members

Set event type members

Authentication requiredInclude session cookie or Bearer token

Path Parameters

NameTypeRequiredDescription
id
stringOptionalEvent type ID

Code Examples

curl -X POST "https://api.blueai.jp/api/v1/scheduler/event-types/etype_123e4567e89b12d3a456426614174000/members" \
  -H "Cookie: better-auth.session_token=<token>"